## ruby-with-advisory-lock 5.3.0

=== Makefile ===
.PHONY: test-pg test-mysql

test-pg:
	docker compose up -d pg
	sleep 10 # give some time for the service to start
	DATABASE_URL=postgres://with_advisory:with_advisory_pass@localhost/with_advisory_lock_test appraisal rake test

test-mysql:
	docker compose up -d mysql
	sleep 10 # give some time for the service to start
	DATABASE_URL=mysql2://with_advisory:with_advisory_pass@0.0.0.0:3306/with_advisory_lock_test appraisal rake test


test: test-pg test-mysql

## ruby-with-advisory-lock 5.1.0

=== debian/changelog ===
ruby-with-advisory-lock (5.1.0-4) unstable; urgency=medium

  * debian/copyright:  Update my copyright entry to include 2025.
  * debian/patches/fix-tests-w-rails7.patch:  Add forwarded URL.
  * debian/salsa-ci.yml:  Update with currently recommended default content.

 -- Soren Stoutner <soren@debian.org>  Sat, 19 Apr 2025 15:18:08 -0700

ruby-with-advisory-lock (5.1.0-3) unstable; urgency=medium

  Team upload.

  [ Soren Stoutner ]
  * debian/control:  Bump standards version to 4.7.2, no changes needed.

  [ Antonio Terceiro ]
  * Add patch to fix tests with rails 7. (Closes: #1095888)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 11 Mar 2025 00:48:26 +0530

ruby-with-advisory-lock (5.1.0-2) unstable; urgency=medium

  * Source upload to allow migration to testing.

 -- Soren Stoutner <soren@debian.org>  Sat, 07 Dec 2024 11:41:52 -0700

ruby-with-advisory-lock (5.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1085285)

 -- Soren Stoutner <soren@debian.org>  Tue, 22 Oct 2024 09:56:13 -0700

=== debian/control ===
Source: ruby-with-advisory-lock
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Soren Stoutner <soren@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               rake,
               ruby-activerecord (>= 2:6.1),
               ruby-zeitwerk (>= 2.6),
               ruby-maxitest <!nocheck>,
               ruby-mocha <!nocheck>,
               ruby-sqlite3 <!nocheck>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-with-advisory-lock.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-with-advisory-lock
Homepage: https://github.com/ClosureTree/with_advisory_lock
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: no

Package: ruby-with-advisory-lock
Architecture: all
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: Advisory locking (mutexes) for ActiveRecord when used with MySQL or PostgreSQL
 WithAdvisoryLock adds advisory locking (mutexes) to ActiveRecord 6.0+, with
 ruby 2.7+, jruby or truffleruby, when used with MySQL or PostgreSQL. SQLite
 resorts to file locking.
 .
 An advisory lock is a mutex used to ensure no two processes run some process at
 the same time. When the advisory lock is powered by your database server, as
 long as it isn't SQLite, your mutex spans hosts.

## ruby-with-advisory-lock 5.3.0

=== debian/changelog ===
ruby-with-advisory-lock (5.3.0-2) unstable; urgency=medium

  * debian/control:  Add Build-Depends on dh-sequence-ruby.
  * debian/rules:  Remove obsolete "--with ruby".

 -- Soren Stoutner <soren@debian.org>  Mon, 18 Aug 2025 15:47:07 -0700

ruby-with-advisory-lock (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove debian/patches/fix-tests-w-rails7.patch, applied upstream.
  * debian/control:
    - Remove obsolete gem2deb version constraint of "(>= 1)".
    - Remove obsolete "Rules-Requires-Root: no".
    - Refactor binary package description.
  * debian/copyright:  Update upstream copyright information.

 -- Soren Stoutner <soren@debian.org>  Thu, 12 Jun 2025 15:09:21 -0700

=== debian/control ===
Source: ruby-with-advisory-lock
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Soren Stoutner <soren@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-ruby,
               gem2deb,
               rake,
               ruby-activerecord (>= 2:6.1),
               ruby-zeitwerk (>= 2.6),
               ruby-maxitest <!nocheck>,
               ruby-mocha <!nocheck>,
               ruby-sqlite3 <!nocheck>
Homepage: https://github.com/ClosureTree/with_advisory_lock
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-with-advisory-lock.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-with-advisory-lock
Testsuite: autopkgtest-pkg-ruby
Standards-Version: 4.7.2

Package: ruby-with-advisory-lock
Architecture: all
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: Advisory locking (mutexes) for ActiveRecord when used with MySQL or PostgreSQL
 WithAdvisoryLock adds advisory locking (mutexes) to ActiveRecord, jruby or
 truffleruby, when used with MySQL or PostgreSQL.
 .
 An advisory lock is a mutex used to ensure no two processes run some process at
 the same time. When the advisory lock is powered by your database server, your
 mutex spans hosts.

=== debian/watch ===
version=4
https://gemwatch.debian.net/with_advisory_lock .*/with_advisory_lock-(.*).tar.gz

# Use the regex below for github-based sources
# opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
# filenamemangle=s%(?:.+/)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
#   https://github.com/<owner>/<repo>/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
